CC******************************************************************************
C   Copyright 1999 -- 2002 C. Kind, M. Reiher, J. Neugebauer, and B. A. Hess,
C   Chair of Theoretical Chemistry, Friedrich-Alexander-University 
C   Erlangen-Nuremberg, Egerlandstr. 3, D-91058 Erlangen, Germany.
C
C
C   This file is part of the package SNF.
C
C   SNF is free software; you can redistribute it and/or modify
C   it under the terms of the GNU General Public License as published by
C   the Free Software Foundation; either version 2 of the License, or
C   (at your option) any later version.
C
C   This program is distributed in the hope that it will be useful,
C   but WITHOUT ANY WARRANTY; without even the implied warranty of
C   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C   GNU General Public License for more details.
C
C   You should have received a copy of the GNU General Public License
C   along with this program; if not, write to the Free Software
C   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
C
CC******************************************************************************

      subroutine imaster

c     ===============================================================
c     print out header
c     ===============================================================

      include 'defs.h'
      include 'objects.h'
      include 'param.h'

      character*255 b1
      integer intgr,ierr,l
      include 'VERSION.h'

      call snfdchead
      write (*,*) version
      write(*,'(A)')
      write(*,'(2A)') ' Last modification: ',lastmod
      write(*,'(A)')

C//SKIPC~10
C//SKIPC#5
      write(*,*)'using PVM parallelization'
      write(*,*)
      write(*,*)'former version Numfreq (extended PVM version)' 
      write(*,*)'by B. A. Hess May 1999' 
      write(*,*)'(based on work by S. Grimme, 1998)'
C#      write(*,*)'using MPI parallelization'
C#      write(*,*)
C#      write(*,*)'former version Numfreq (MPI version)' 
C#      write(*,*)'by B. A. Hess May 1999' 
C~      write(*,*)'serial version '
C~      write(*,*)
C~      write(*,*)'by J. Neugebauer January 2007' 

      write(*,*)
      return
      end
