*//FILE  'defs.h'
      IMPLICIT none
      INTEGER nlongr,itape,jtape,idbg,iosl,iprmem,iprq,mxwrk,ftape
      REAL*8 zero,one,zthr
******
****** master INCLUDE file with customizable parameters
******
****** customize the following parameters:
****** nlongr        number of words per long real
****** itape         logical unit for standard input
****** jtape         logical unit for standard output
****** idbg          logical unit for debugging output
****** iosl          logical unit for slave process debugging
****** iprmem        print level for memory manager; useful values:
******               PARAMETER (iprmpr=1,iprmck=2,iprnof=4)
****** iprq          print level for subroutine trace; useful values:
******               PARAMETER (qprint=1,qtimer=2)
****** mxwrk         size of work array in words
****** zthr          zero threshold
******
      parameter (nlongr=2,itape=5,jtape=6,idbg=41,ftape=20)
      parameter (zthr=1.D-6,zero=0.0D0,one=1.0D0)
      parameter (mxwrk=5000000)
      integer is
      real*8 S8(mxwrk/2)
      common /flags/ iprq,iprmem,iosl

      common /work/ is(mxwrk)
      equivalence (is(1),s8(1))
*//END
